aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 10:52:40 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 10:52:40 +0000
commit3f108890dc08685b37b76bef1439112bef224809 (patch)
treedc4648aa8e60cecda5287f4e3d723cb3f434ab16 /unmaintained
parent87b0ca6e5432568ad3a56ad64cd716b44029a31d (diff)
downloadaports-3f108890dc08685b37b76bef1439112bef224809.tar.gz
aports-3f108890dc08685b37b76bef1439112bef224809.tar.bz2
aports-3f108890dc08685b37b76bef1439112bef224809.tar.xz
testing/dovecot-deleted-to-trash-plugin: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/dovecot-deleted-to-trash-plugin/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/unmaintained/dovecot-deleted-to-trash-plugin/APKBUILD b/unmaintained/dovecot-deleted-to-trash-plugin/APKBUILD
new file mode 100644
index 0000000000..91a8028ef9
--- /dev/null
+++ b/unmaintained/dovecot-deleted-to-trash-plugin/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=dovecot-deleted-to-trash-plugin
+pkgver=0.3
+pkgrel=1
+pkgdesc="Copy deleted email to trash for broken IMAP clients (Outlook)"
+url="http://wiki2.dovecot.org/Plugins/deleted-to-trash"
+arch="all"
+license="unknown"
+depends=""
+makedepends="dovecot-dev"
+install=""
+subpackages=""
+source="http://dev.alpinelinux.org/archive/dovecot-deleted-to-trash-plugin/dovecot-deleted-to-trash-plugin-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/dovecot-deleted-to-trash-plugin-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" \
+ DOVECOT_IMAP_PLUGIN_PATH=/usr/lib/dovecot
+}
+
+md5sums="63bdfa71312abc2dcaae5cfedd1db622 dovecot-deleted-to-trash-plugin-0.3.tar.bz2"